#ifndef MOBILEMAPNAVIMAPS_H
#define MOBILEMAPNAVIMAPS_H

#include"maplist.h"

class MobileMapNaviMaps : public MapList {
public:
	MobileMapNaviMaps(const QString &path = "/mnt/card/sd_map");
	QString searchMapFileName(long ns, long ew, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	QString pointMapFileName(int diffLat, int diffLong, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	void changeScale(const QString &scale);
	QString getClassName() {
		return "MobileMapNaviMaps";
	}

private:
	unsigned int _scale;
	QString _basePath;
	int _latid[4], _lonid[4];
	long _mapH[5], _mapW[5];
};

#endif //MOBILEMAPNAVIMAPS_H
