#ifndef RADIAN_H
#define RADIAN_H

#include<qstring.h>
#include<qstringlist.h>

/*
 #define _DEBUG_PRINT
 */

class Radian {
public:
	Radian(short _a = 0, short _b = 0, short _c = 0, short _d = 0);
	long toLong();
	void setData(long data);
	void setMin(short _c, short _d = 0);
	short getMin();
	QString toString();
	QString toString2(bool multiplyMinus = false);
	QString toNS();
	QString toEW();
	bool parse(const QString &str);
	bool parse2(const QString &str);
	Radian& operator=(Radian value);

private:
	long _data;
};

void TokyoToWGS84(Radian * radNS, Radian * radEW);
void WGS84ToTokyo(Radian * radNS, Radian * radEW);

#endif //RADIAN_H
